# Cookbook

Cookbook is a community-driven handbook with complete solutions for common problems.  
Text formatting problems, of course.

Feel free to suggest your own recipes or correct the existing ones.

## Chapters

* [Credit cards](#cards)
* [Dates](#date)
* [IBAN, International Bank Account Number](#iban)
* [Phone numbers](#phone)

<a name="cards" />

## Credit cards

MM/YY: `[00]{/}[00]`  
CVV: `[000]`

#### American Express

```
[0000] [000000] [00000]
3[000] [000000] [00000]
```

#### Diners Club International

```
[0000] [000000] [0000]
3[000] [000000] [0000]
```

#### Discover

```
[0000] [0000] [0000] [0000]
6[000] [0000] [0000] [0000]
```

#### MasterCard

```
[0000] [0000] [0000] [0000]
5[000] [0000] [0000] [0000]
```

#### Visa

```
[0000] [0000] [0000] [0000]
4[000] [0000] [0000] [0000]
```

<a name="date" />

## Dates

Affine formats:

```
[00]{/}[00]{/}[00]
[00]{/}[00]{/}[0000]
```

```
[00]{.}[00]{.}[00]
[00]{.}[00]{.}[0000]
```

<a name="iban" />

## IBAN, International Bank Account Number

#### Belgium

```
BE[00] [0000] [0000] [0000]
```

#### France

```
FR[00] [0000] [0000] [0000] [0000] [0000] [000]
```

#### Germany

```
DE[00] [0000] [0000] [0000] [0000] [00]
```

#### Greece	

```
GR[00] [0000] [0000] [0000] [0000] [0000] [000]
```

#### Romania	

```
RO[00] [____] [0000] [0000] [0000] [0000]
```

#### Saudi Arabia

```
SA[00] [0000] [0000] [0000] [0000] [0000]
```

#### Spain

```
ES[00] [0000] [0000] [0000] [0000] [0000]
```

#### Switzerland

```
CH[00] [0000] [0000] [0000] [0000] [0]
```

#### United Kingdom

```
GB[00] [____] [0000] [0000] [0000] [00]
```

<a name="phone" />

## Phone numbers

```
8 ([000]) [000]-[00]-[00]
```
